Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Interface IComponentGroupService

All Known Subinterfaces:
  ICompositeGroupService, IIndividualGroupService

All Known Implementing Classes:
  ReferenceComponentGroupService, ReferenceCompositeGroupService, ReferenceIndividualGroupService

    public interface IComponentGroupService

Defines a component group service that is part of a composite groups system. A component contains individual group services, which may themselves be components.

The component is only used in the process of composing the composite service, so it does not define any operations on groups, only on other components.

Version:
  $Revision: 1.4 $
Author:
  Dan Ellentuck

Method Summary
`java.util.Map` | `getComponentServices()` Returns a `Map` of the services contained by this component, keyed on the name of the service WITHIN THIS COMPONENT.
`javax.naming.Name` | `getServiceName()` Returns the FULLY-QUALIFIED `Name` of the service, which may not be known until the composite service is assembled.
`boolean` | `isLeafService()` Answers if this service is a leaf in the composite; a service that actually operates on groups.
`void` | `setServiceName(javax.naming.Name newServiceName)` Sets the name of the service to the new value.

Method Detail

### getComponentServices

    java.util.Map getComponentServices()

  Returns a `Map` of the services contained by this component, keyed on the name of the service WITHIN THIS COMPONENT.

### getServiceName

    javax.naming.Name getServiceName()

  Returns the FULLY-QUALIFIED `Name` of the service, which may not be known until the composite service is assembled.

### isLeafService

    boolean isLeafService()

  Answers if this service is a leaf in the composite; a service that actually operates on groups.

### setServiceName

    void setServiceName(javax.naming.Name newServiceName)

  Sets the name of the service to the new value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD